import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export interface TablePaginationCustomProps {
    pageIndex: number;
    pageCount: number;
    pageSize: number;
    isFirstPage?: boolean;
    isLastPage?: boolean;
    totalRecords?: number;
    isFetching?: boolean;
    onPageChange: (page: number) => void;
}
export declare type TablePaginationElementType = HTMLElement;
export declare type TablePaginationProps = CommonAndHTMLProps<TablePaginationElementType> & TablePaginationCustomProps;
export declare const TablePagination: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLElement> & TablePaginationCustomProps & React.RefAttributes<HTMLElement>>;
